package com.adealink.weparty.apm.stat

import com.adealink.frame.statistics.BaseStatEvent
import com.adealink.frame.statistics.IEventValue

class APMStatEvent(override val action: IEventValue) : BaseStatEvent("apm") {

    enum class Action(override val value: String, override val desc: String) : IEventValue {
        ANR("anr", "ANR"),
        UI_BLOCK("ui_block", "UI卡顿"),
        MEMORY_LEAK("memory_leak", "内存泄露"),
        CRASH("crash", "崩溃"),
    }

}